Skip to content

Servers

https://api.caido.io

GET /api/v1/team

GET
/api/v1/team

Authorizations

pat

Personal Access Token (PAT)

Type
HTTP (bearer)

Responses

Current team

application/json
JSON
{
"created_at": 0,
"email": "string",
"id": "string",
"name": "string",
"object": "string",
"updated_at": 0
}

Samples


GET /api/v1/team/invitations

GET
/api/v1/team/invitations

Authorizations

pat

Personal Access Token (PAT)

Type
HTTP (bearer)

Responses

List all the invitations

application/json
JSON
[
{
"created_at": 0,
"email": "string",
"expires_at": 0,
"id": "string",
"object": "string",
"role": "string",
"updated_at": 0,
"use_seat": true
}
]

Samples


POST /api/v1/team/invitations

POST
/api/v1/team/invitations

Authorizations

pat

Personal Access Token (PAT)

Type
HTTP (bearer)

Request Body

application/json
JSON
{
"email": "string",
"role": "string",
"use_seat": true
}

Responses

Invitation created

application/json
JSON
{
"created_at": 0,
"email": "string",
"expires_at": 0,
"id": "string",
"object": "string",
"role": "string",
"updated_at": 0,
"use_seat": true
}

Samples


DELETE /api/v1/team/invitations/{invitation_id}

DELETE
/api/v1/team/invitations/{invitation_id}

Authorizations

pat

Personal Access Token (PAT)

Type
HTTP (bearer)

Parameters

Path Parameters

invitation_id*
Type
string
Required

Responses

Invitation deleted

application/json
JSON
{
"deleted": true,
"id": "string",
"object": "string"
}

Samples


GET /api/v1/team/subscription

GET
/api/v1/team/subscription

Authorizations

pat

Personal Access Token (PAT)

Type
HTTP (bearer)

Responses

Current team subscription

application/json

Samples


GET /api/v1/team/users

GET
/api/v1/team/users

Authorizations

pat

Personal Access Token (PAT)

Type
HTTP (bearer)

Responses

List all the users

application/json
JSON
[
{
"created_at": 0,
"email": "string",
"id": "string",
"name": "string",
"object": "string",
"role": "string",
"updated_at": 0,
"use_seat": true
}
]

Samples


DELETE /api/v1/team/users/{user_id}

DELETE
/api/v1/team/users/{user_id}

Authorizations

pat

Personal Access Token (PAT)

Type
HTTP (bearer)

Parameters

Path Parameters

user_id*
Type
string
Required

Responses

User removed from team

application/json
JSON
{
"deleted": true,
"id": "string",
"object": "string"
}

Samples


GET /api/v1/user

GET
/api/v1/user

Authorizations

pat

Personal Access Token (PAT)

Type
HTTP (bearer)
or
access_token

OAuth 2.0 Access Token

Type
HTTP (bearer)

Responses

Current user

application/json
JSON
{
"created_at": 0,
"email": "string",
"id": "string",
"name": "string",
"object": "string",
"updated_at": 0
}

Samples


POST /api/v1/user/billing/voucher-claims

POST
/api/v1/user/billing/voucher-claims

Authorizations

pat

Personal Access Token (PAT)

Type
HTTP (bearer)
or
access_token

OAuth 2.0 Access Token

Type
HTTP (bearer)

Request Body

application/json
JSON
{
"code": "string"
}

Responses

Voucher claimed

Samples


GET /api/v1/workspace/{workspace_id}

GET
/api/v1/workspace/{workspace_id}

Authorizations

pat

Personal Access Token (PAT)

Type
HTTP (bearer)

Parameters

Path Parameters

workspace_id*

Workspace ID

Type
string
Required

Responses

Workspace details

application/json
JSON
{
"id": "string",
"name": "string",
"object": "string"
}

Samples


GET /oauth2/authorize

Client starts the OAuth2 code authorization flow

GET
/oauth2/authorize

Parameters

Query Parameters

response_type*
Type
string
Required
client_id*
Type
string
Required
redirect_uri*
Type
string
Required
scope*
Type
string
Required
state
Type
[ "string", "null" ]

Responses

Redirect to consent page or redirect uri

Samples


POST /oauth2/device/approve

Approve a device authorization request

POST
/oauth2/device/approve

Authorizations

pat

Personal Access Token (PAT)

Type
HTTP (bearer)

Parameters

Query Parameters

user_code*
Type
string
Required
scope
Type
[ "string", "null" ]

Responses

Samples


POST /oauth2/device/authorize

Client starts the OAuth2 device authorization flow

POST
/oauth2/device/authorize

Request Body

application/x-www-form-urlencoded
object

Responses

Created device authorization request

application/json
JSON
{
"device_code": "string",
"expires_in": 0,
"interval": 0,
"user_code": "string",
"verification_uri": "string",
"verification_uri_complete": "string"
}

Samples


POST /oauth2/device/deny

Deny a device authorization request

POST
/oauth2/device/deny

Authorizations

pat

Personal Access Token (PAT)

Type
HTTP (bearer)

Parameters

Query Parameters

user_code*
Type
string
Required

Responses

Samples


GET /oauth2/device/information

Retrieve information about a device authorization request

GET
/oauth2/device/information

Authorizations

pat

Personal Access Token (PAT)

Type
HTTP (bearer)

Parameters

Query Parameters

user_code*
Type
string
Required

Responses

Device authorization request

application/json
JSON
{
"client": {
"id": "string",
"instance": {
"id": "string",
"name": "string",
"registered_at": 0
},
"registered_at": 0
},
"scope": "string",
"scopes": [
{
"name": "string",
"requirement": "string"
}
]
}

Samples


POST /oauth2/introspect

Retrieve meta information about a token

POST
/oauth2/introspect

Request Body

application/x-www-form-urlencoded
object

Responses

Returns the meta information surrounding the token

application/json
JSON
{
"active": true,
"client_id": "string",
"meta": {
"instance_id": "string",
"kind": "string",
"workspace_id": "string"
},
"sub": "string"
}

Samples


POST /oauth2/register

Clients registers itself

POST
/oauth2/register

Request Body

application/json
JSON
{
"grant_types": [
"string"
],
"instance_registration_key": "string",
"scope": "string"
}

Responses

Created client

application/json
JSON
{
"client_id": "string",
"client_id_issued_at": 0,
"client_secret": "string",
"client_secret_expires_at": 0,
"grant_types": [
"string"
],
"scope": "string",
"token_endpoint_auth_method": "string"
}

Samples


PUT /oauth2/register/{id}

Client updates its OAuth2 client when needed (e.g. to request new scopes)

PUT
/oauth2/register/{id}

Parameters

Path Parameters

id*
Type
string
Required

Request Body

application/json
JSON
{
"client_id": "string",
"client_secret": "string",
"grant_types": [
"string"
],
"scope": "string"
}

Responses

Updated client

application/json
JSON
{
"client_id": "string",
"client_id_issued_at": 0,
"client_secret": "string",
"client_secret_expires_at": 0,
"grant_types": [
"string"
],
"scope": "string",
"token_endpoint_auth_method": "string"
}

Samples


POST /oauth2/token

Client requests OAuth2 tokens

POST
/oauth2/token

Request Body

application/x-www-form-urlencoded
object
One of
object
Valid values"urn:ietf:params:oauth:grant-type:device_code"
object
Valid values"refresh_token"
object
Valid values"client_credentials"
object
Valid values"authorization_code"

Responses

Created token

application/json
JSON
{
"access_token": "string",
"expires_in": 0,
"refresh_token": "string",
"scope": "string",
"token_type": "string"
}

Samples